$LOAD_PATH.unshift(File.expand_path('../../lib', __FILE__))

require "tuya/ci/core/version"

module TYCiCore

	require 'colored'
	require 'json'
	require 'json/pure'
	require 'fileutils'

	require 'tuya/ci/core/executable'

	require 'tuya/ci/core/util/file'
	require 'tuya/ci/core/util/dir'
	require 'tuya/ci/core/util/ask'

	require 'tuya/ci/core/config'

	require 'tuya/ci/core/download'

	require 'tuya/ci/core/spec/ty_repo'
	require 'tuya/ci/core/spec/odm/spec_odm'

	require 'tuya/ci/core/git'
	require 'tuya/ci/core/git/git_tuya_ci'

	require 'tuya/ci/core/git/gitlab/gitlab_odm'

	require 'tuya/ci/core/lib/lib'
	require 'tuya/ci/core/lib/lib_tuya_ci'

	require 'tuya/ci/core/podspec'
	require 'tuya/ci/core/podfile'

	require 'tuya/ci/core/template'
	require 'tuya/ci/core/template/template_configurator'
	require 'tuya/ci/core/template/template_project'

	require 'tuya/ci/core/dependencies'
	require 'tuya/ci/core/dependencies/podfile_lock'
	require 'tuya/ci/core/dependencies/node/podfile_lock_analyse'
	require 'tuya/ci/core/dependencies/node/podfile_lock_node'

	require 'tuya/ci/core/spec/release/repo_release'
	require 'tuya/ci/core/repo_release_ci'
	require 'tuya/ci/core/spec/release/repo_release_git'

	require 'tuya/ci/core/language_update'

	require 'tuya/ci/core/config/odm_config_modules'
	require 'tuya/ci/core/odm_build'
end
